Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# date.hh File Reference

A GDate C++ wrapper interface. More...

`#include <xfc/object.hh>`
`#include <glib/gdate.h>`
`#include <xfc/glib/inline/date.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- class Xfc::G::Date
    A GDate C++ wrapper interface. More...

## Typedefs

- typedef GTime Time
    G::Time is a equivalent to time_t.
- typedef GDateDay DateDay
    DateDay is an integer that represents a day of the month; between 1 and 31.
- typedef GDateYear DateYear
    DateYear is an integer representing a year; DATE::BAD_YEAR is the invalid value.

## Enumerations

- enum DateWeekday {
  DATE_BAD_WEEKDAY = G_DATE_BAD_WEEKDAY,
  DATE_MONDAY = G_DATE_MONDAY,
  DATE_TUESDAY = G_DATE_TUESDAY,
  DATE_WEDNESDAY = G_DATE_WEDNESDAY,
  DATE_THURSDAY = G_DATE_THURSDAY,
  DATE_FRIDAY = G_DATE_FRIDAY,
  DATE_SATURDAY = G_DATE_SATURDAY,
  DATE_SUNDAY = G_DATE_SUNDAY
  }
    Represents a day of the week. More...
- enum DateMonth {
  DATE_BAD_MONTH = G_DATE_BAD_MONTH,
  DATE_JANUARY = G_DATE_JANUARY,
  DATE_FEBRUARY = G_DATE_FEBRUARY,
  DATE_MARCH = G_DATE_MARCH,
  DATE_APRIL = G_DATE_APRIL,
  DATE_MAY = G_DATE_MAY,
  DATE_JUNE = G_DATE_JUNE,
  DATE_JULY = G_DATE_JULY,
  DATE_AUGUST = G_DATE_AUGUST,
  DATE_SEPTEMBER = G_DATE_SEPTEMBER,
  DATE_OCTOBER = G_DATE_OCTOBER,
  DATE_NOVEMBER = G_DATE_NOVEMBER,
  DATE_DECEMBER = G_DATE_DECEMBER
  }
    Represents a month of the year. More...

## Detailed Description

A GDate C++ wrapper interface.

Provides Date, an object that does calendar calculations.

## Typedef Documentation

typedef GDateDay Xfc::G::DateDay

| DateDay is an integer that represents a day of the month; between 1 and 31. G::Date::BAD_DAY represents an invalid day of the month.

typedef GDateYear Xfc::G::DateYear

| DateYear is an integer representing a year; DATE::BAD_YEAR is the invalid value. The year must be 1 or higher; negative (BC) years are not allowed. The year is represented with four digits.

## Enumeration Type Documentation

enum DateMonth

Represents a month of the year.

Enumeration values:

  DATE_BAD_MONTH | Invalid value.
  DATE_JANUARY | January.
  DATE_FEBRUARY | February.
  DATE_MARCH | March.
  DATE_APRIL | April.
  DATE_MAY | May.
  DATE_JUNE | June.
  DATE_JULY | July.
  DATE_AUGUST | August.
  DATE_SEPTEMBER | September.
  DATE_OCTOBER | October.
  DATE_NOVEMBER | November.
  DATE_DECEMBER | December.

enum DateWeekday

Represents a day of the week.

Enumeration values:

  DATE_BAD_WEEKDAY | Invalid value.
  DATE_MONDAY | Monday.
  DATE_TUESDAY | Tuesday.
  DATE_WEDNESDAY | Wednesday.
  DATE_THURSDAY | Thursday.
  DATE_FRIDAY | Friday.
  DATE_SATURDAY | Saturday.
  DATE_SUNDAY | Sunday.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3